export default {
  state: {
  },

  mutations: {
  },

  actions: {
    async 'INIT_KIT' ({ state, commit, dispatch, getters }, payload) {
      const ids = await dispatch('GET_ALL_NODES_IDS', 'kit')
      return dispatch('GET_NODES', { ids, dataLevel: 'partial' })
    }
  },

  getters: {
    sheets: (state, getters, rootState) => {
      const kitIds = rootState.ids.kit
      if (kitIds === undefined || rootState.nodes[kitIds[0]] === undefined) return
      return kitIds.map(id => rootState.nodes[id])
    }
  }
}
